> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/advertisers/{advertiser-id}/datasets

> Retrieves corresponding Datasets for a given Advertiser. Only those Datasets are included for which the given Advertiser is marked a primary.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/advertisers/{advertiser-id}/datasets
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/advertisers/{advertiser-id}/datasets:
    get:
      tags:
        - Advertiser
      summary: /preview/advertisers/{advertiser-id}/datasets
      description: >-
        Retrieves corresponding Datasets for a given Advertiser. Only those
        Datasets are included for which the given Advertiser is marked a
        primary.
      operationId: ListDatasetsByAdvertiser
      parameters:
        - name: advertiser-id
          in: path
          description: The id of the Advertiser for which Datasets are being retrieved.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdvertiserDatasetListResponse'
              example:
                data:
                  - type: dataset
                    id: '73550'
                    attributes:
                      name: Dataset 1
                errors: []
                warnings: []
      security:
        - oauth: []
components:
  schemas:
    AdvertiserDatasetListResponse:
      type: object
      properties:
        data:
          uniqueItems: false
          type: array
          items:
            $ref: '#/components/schemas/EntityV2OfDataset'
          description: The response’s primary data
          nullable: true
        errors:
          uniqueItems: false
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: "Error list returned by the Criteo API\r\nFor successful requests it is empty"
          nullable: true
        warnings:
          uniqueItems: false
          type: array
          items:
            $ref: '#/components/schemas/CriteoApiWarningV2'
          description: "Warnings list returned by the Criteo API\r\nIn some situations the operations are successful but it may be useful to issue warnings to the API consumer.\r\nFor example the endpoint, entity or field is deprecated. Warnings are like compiler warnings, they indicate that problems may occur in the future."
          nullable: true
      description: Get datasets response.
    EntityV2OfDataset:
      required:
        - type
        - id
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/Dataset'
        id:
          type: string
          description: A opaque string containing the unique Id of the entity
        type:
          enum:
            - campaign
            - adset
            - ad
            - advertiser
            - agency
            - agencyAdvertiserLink
            - AgencyAdvertiserTransferRequest
            - publisher
            - address
            - client
            - contact
            - industry
            - agencyAdvertiserCreationRequest
            - countryCurrenciesList
            - verticalsSubverticalsList
            - dataset
          type: string
          description: A string containing the entity type
          example: dataset
      description: Generic Criteo API successful data model
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    CriteoApiWarningV2:
      type: object
      properties:
        code:
          enum:
            - internal-error
            - deprecated-field
            - endpoint-deprecated
            - required-field
            - invalid-date-format
            - invalid
            - invalid-ranged
            - invalid-timespan
            - permission-denied
          type: string
          description: >-
            A machine-readable error code string in kabab-case. Unique across
            Criteo
          nullable: true
          example: internal-error
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem
          nullable: true
        title:
          type: string
          description: A short, human-readable remarks of the problem type.
          nullable: true
        traceId:
          type: string
          description: The correlation ID provided by the gateway
          nullable: true
        type:
          enum:
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: A machine-readable code specifying error category
          nullable: true
          example: access-control
      description: Criteo API response warning
    Dataset:
      type: object
      properties:
        name:
          type: string
          nullable: true
      description: Information about a dataset
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````